package com.yihu.jw.entity.base.wx;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2018/11/8.
 */
@Entity(name = "WxPayLogDO")
@Table(name = "wlyy_wx_pay_log")
@SequenceGenerator(name="id_generated", sequenceName="WLYY_WX_PAY_LOG_SEQ")
public class WxPayLogDO extends IntegerIdentityEntity {

    private String seqNo;//支付订单号',
    private String openId;//openid,
    private Integer type;//支付的类型(预留字段) 0:服务包签约
    private String orderParams;//统一下单参数XML',
    private String orderResponse;//统一下单返回XML',
    private Integer orderStatus;//统一下单状态，1为成功。0为默认，-1为失败',
    private String payResponse;//支付回调XML',
    private Date createTime;//'统一下单时间',
    private Date payTime;//支付回调时间',
    private Integer payStatus;//支付回调状态1为成功，0为默认，-1为失败',

    public String getSeqNo() {
        return seqNo;
    }

    public void setSeqNo(String seqNo) {
        this.seqNo = seqNo;
    }


    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getOrderParams() {
        return orderParams;
    }

    public void setOrderParams(String orderParams) {
        this.orderParams = orderParams;
    }

    public String getOrderResponse() {
        return orderResponse;
    }

    public void setOrderResponse(String orderResponse) {
        this.orderResponse = orderResponse;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getPayResponse() {
        return payResponse;
    }

    public void setPayResponse(String payResponse) {
        this.payResponse = payResponse;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }
}
